Intraday: Order Book by Time and Type

This endpoint will return the order book of a contract, given the date, period, and type.


Using the LCPDelta Python Package

Synchronous

from lcp_delta import enact
from datetime import date

enact_api_helper = enact.APIHelper(username, public_api_key)

# see 'BODY PARAMS' section below for details on corresponding parameter values
response_dictionary = enact_api_helper.get_epex_order_book(
	"HH",
	date(2024,7,4),
	10
)

print(response_dictionary)

Asynchronous (package version 1.3.0)

from lcp_delta import enact
from datetime import date
import asyncio

async def main():
    enact_api_helper = enact.APIHelper(username, public_api_key)

    # see 'BODY PARAMS' section below for details on corresponding parameter values
    response_dictionary = await enact_api_helper.get_epex_order_book_async(
        "HH",
        date(2024,7,4),
        10
    )

    print(response_dictionary)

asyncio.run(main())

Using the API Directly

We only store data from EPEX for today and yesterday. In the request object below, try a suitably recent date in the form YYYY-MM-DDT00:00:00Z for the date field.

Body Params
string
required
Defaults to HH

The type associated with the EPEX contract; 'HH', '1H', '2H', '4H', '3 Plus 4', 'Overnight', 'Peakload', 'Baseload', or 'Ext. Peak'.

date-time
required

The date associated with the EPEX contract.

int32
required
Defaults to 4

The period associated with the EPEX contract.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json